import { DBObjectClass } from 'oracledb';
export default class CallParametersDataParameter<T = any> {
    name: string;
    isComplexType: boolean;
    private _type;
    private _value;
    private _objectClass;
    constructor(name: string, value?: T, isComplexType?: boolean, type?: string);
    get value(): T;
    set value(value: T);
    private setComplexValue;
    private setSimpleValue;
    get type(): string;
    set type(type: string);
    get objectClass(): DBObjectClass;
    set objectClass(objectClass: DBObjectClass);
    get bindParameterValue(): any;
    private prepareComplexTypeBind;
    private dirtyTmpUDFFix;
}
