export default interface IConfig {
    db: IDBConfig;
}
interface IDBConfig {
    minConnectionsInPool: number;
    maxConnectionsInPool: number;
    user: string;
    password: string;
    connectString: string;
    momentDateFormat: string;
    dateFormat: string;
    /**
     * Date without time format used for Moment.js
     */
    momentDateWithoutTimeFormat: string;
    timeoutInSeconds: number;
    maxCursorRowsToRead: number;
}
export {};
