"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FilterItem = void 0;
class FilterItem {
    constructor(data) {
        if (data.property === undefined) {
            throw new Error('Filter property is not defined');
        }
        if (data.value === undefined) {
            throw new Error('Filter value is not defined');
        }
        if (data.operator === undefined) {
            throw new Error('Filter operator is not defined');
        }
        this.property = data.property;
        this.value = data.value;
        this.operator = data.operator;
    }
}
exports.FilterItem = FilterItem;
//# sourceMappingURL=objects.js.map