import { OracleErrorCodes } from './supportObjects/Errors';
import { HttpError } from 'restify-errors';
declare type ParsedError = {
    message: string;
    errorCode: OracleErrorCodes;
};
export default class OracleDBErrorParser {
    static isOracleError(error: Error): boolean;
    static parseError(message: string): ParsedError;
    private static parseMessage;
    static getHttpErrorByErrorCode(errorCode: OracleErrorCodes): new (message: string) => HttpError;
}
export {};
