import { OracleDB } from '.';
import CallParameters from './CallParameters';
export default class ProcedureFunctionHelper {
    private readonly _db;
    private readonly _callParameters;
    private _parameters;
    private _query;
    private readonly _bindParameters;
    constructor(db: OracleDB, callParameters: CallParameters);
    execute(): Promise<Array<Object>>;
    private prepareQuery;
    private prepareFunctionReusltVariable;
    private prepareQueryData;
    private setProcedureParameters;
    private prepareObjectClasses;
    private prepareBindParameters;
}
